node-axios (1.15.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.4
  * Drop "Priority: optional"
  * refresh patches
  * New upstream version 1.15.0
  * Refresh patches
  * Replace test by custom autopkgtest
    (upstream switched to vitest which is missing in Debian)
  * Update privacy patch

 -- Xavier Guimard <yadd@debian.org>  Fri, 10 Apr 2026 10:08:10 +0200

node-axios (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.0+dfsg (Closes: #1127907, CVE-2026-25639)
  * Refresh patches for new upstream version
  * Update extlinks: rollup-plugin-terser → @rollup/plugin-terser

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Mar 2026 21:09:03 +0200

node-axios (1.13.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.13.2+dfsg

 -- Yadd <yadd@debian.org>  Thu, 06 Nov 2025 07:27:18 +0100

node-axios (1.13.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Increase test timeout
  * Drop "Rules-Requires-Root: no"
  * New upstream version 1.13.1+dfsg
  * Update test modules
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 29 Oct 2025 18:46:09 +0100

node-axios (1.12.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12.1+dfsg

 -- Yadd <yadd@debian.org>  Sun, 14 Sep 2025 17:25:38 +0200

node-axios (1.11.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * debian/watch version 5
  * New upstream version 1.11.0+dfsg
  * Install SECURITY.md

 -- Yadd <yadd@debian.org>  Sun, 24 Aug 2025 12:31:38 +0200

node-axios (1.8.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.8.4+dfsg
  * Refresh patches
  * Update docs

 -- Yadd <yadd@debian.org>  Wed, 09 Apr 2025 16:57:33 +0200

node-axios (1.7.9+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #1094731, CVE-2024-57965)
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 30 Jan 2025 18:27:28 +0100

node-axios (1.7.7+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.7.7+dfsg
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 07 Sep 2024 12:29:48 +0400

node-axios (1.7.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: CVE-2024-39338)

 -- Yadd <yadd@debian.org>  Sat, 17 Aug 2024 18:34:54 +0400

node-axios (1.7.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream version
  * Add build-dependency to node-rollup-plugin-alias
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 13 Aug 2024 11:30:57 +0400

node-axios (1.6.8+dfsg-2) unstable; urgency=medium

  * Team upload
  * Render test compatible with deb CI

 -- Yadd <yadd@debian.org>  Sun, 31 Mar 2024 07:16:19 +0400

node-axios (1.6.8+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.8+dfsg

 -- Yadd <yadd@debian.org>  Tue, 19 Mar 2024 07:17:28 +0400

node-axios (1.6.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Repository.
  * New upstream version (Closes: #1056099, CVE-2023-45857)
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Fri, 17 Nov 2023 14:52:00 +0400

node-axios (1.5.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.5.1+dfsg
  * Update patches
  * Bump Standards-Version to 4.6.2 and follow-redirects minimum version

 -- Ananthu C V <weepingclown@disroot.org>  Mon, 16 Oct 2023 00:19:08 +0530

node-axios (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.1+dfsg
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Wed, 07 Dec 2022 17:05:52 +0100

node-axios (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * New upstream version 1.2.0+dfsg
  * Refresh patches
  * Update docs

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 16:58:50 +0100

node-axios (1.1.3+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Also vendor sourcemaps. Needed for orthanc-dicomweb

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Nov 2022 18:54:01 +0530

node-axios (1.1.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.3+dfsg
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 01 Nov 2022 15:59:48 +0100

node-axios (1.1.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Render build compatible with rollup 3 (Closes: #1022596)

 -- Yadd <yadd@debian.org>  Tue, 25 Oct 2022 08:49:08 +0200

node-axios (1.1.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 22 Oct 2022 07:42:21 +0200

node-axios (1.1.2+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.1.2+dfsg
  * Build with rollup
  * Update test:
    + update test patches
    + update test command
    + autopkgtest only
    + add test restriction: needs internet
  * Update copyright
  * Add patch to make build reproducible

 -- Yadd <yadd@debian.org>  Sun, 09 Oct 2022 16:31:20 +0200

node-axios (0.27.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Add privacy patch

 -- Yadd <yadd@debian.org>  Wed, 27 Jul 2022 22:51:34 +0200

node-axios (0.27.2+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.27.2+dfsg
  * Dependencies:
    + add node-form-data >= 4
    + drop node-is-buffer
  * Update patches

 -- Yadd <yadd@debian.org>  Sun, 17 Jul 2022 17:30:07 +0200

node-axios (0.26.1+dfsg-2) unstable; urgency=medium

  * Switch to webpack 5 and remove node-uglifyjs-webpack-plugin
    (Closes: #1001392)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Mon, 23 May 2022 10:18:20 +0530

node-axios (0.26.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.26.1+dfsg

 -- Yadd <yadd@debian.org>  Sun, 13 Mar 2022 08:16:46 +0100

node-axios (0.26.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.26.0+dfsg

 -- Yadd <yadd@debian.org>  Thu, 17 Feb 2022 10:17:32 +0100

node-axios (0.25.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 01 Feb 2022 06:21:15 +0100

node-axios (0.25.0+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.25.0+dfsg

 -- Yadd <yadd@debian.org>  Mon, 31 Jan 2022 19:11:48 +0100

node-axios (0.24.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * New upstream version 0.24.0+dfsg

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 05:28:25 +0200

node-axios (0.23.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 16 Oct 2021 08:50:21 +0200

node-axios (0.23.0+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.23.0+dfsg
  * Refresh patches

 -- Yadd <yadd@debian.org>  Fri, 15 Oct 2021 14:22:41 +0200

node-axios (0.22.0+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Set upstream metadata fields: Security-Contact.
  * New upstream version 0.22.0+dfsg

 -- Yadd <yadd@debian.org>  Fri, 01 Oct 2021 21:49:25 +0200

node-axios (0.21.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.21.4+dfsg
  * Refresh patches

 -- Yadd <yadd@debian.org>  Sat, 11 Sep 2021 07:48:01 +0200

node-axios (0.21.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Declare compliance with policy 4.6.0
  * New upstream version 0.21.3 (Closes: CVE-2021-3749)
  * Refresh patches, build and test
  * Add lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 05 Sep 2021 08:19:51 +0200

node-axios (0.21.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * New upstream version 0.21.1+dfsg (Closes: #975305, CVE-2020-28168)

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Dec 2020 18:36:21 +0100

node-axios (0.21.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Use dh-sequence-nodejs
  * New upstream version 0.21.0+dfsg
  * Adapt and install examples

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 17:21:23 +0100

node-axios (0.20.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * New upstream version 0.20.0+dfsg
  * Require node-follow-redirect ≥ 1.13.0

 -- Xavier Guimard <yadd@debian.org>  Thu, 27 Aug 2020 22:52:03 +0200

node-axios (0.19.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * New upstream version 0.19.2+dfsg
  * Provide libjs-axios

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 May 2020 07:27:59 +0200

node-axios (0.19.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Simplify dependency on webpack

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Aug 2019 08:52:13 +0000

node-axios (0.19.0+dfsg-1) experimental; urgency=medium

  [ Xavier Guimard ]
  * Switch test to pkg-js-tools
  * Clean repo after build (may fix debci)

  [ Pirate Praveen ]
  * New upstream version 0.19.0+dfsg
  * Set minimum version of node-grunt-webpack to 3.1 (for webpack 4 support)
  * Bump standards version to 4.4.0
  * Build with  webpack 4
  * Set minimum version of pkg-js-tools to 0.8.6 (remove debian/install)

 -- Pirate Praveen <praveen@debian.org>  Wed, 31 Jul 2019 08:42:10 +0000

node-axios (0.17.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.3.0
  * Add upstream/metadata
  * Add patch to destroy stream on exceeding maxContentLength
    (Closes: #928624, CVE-2019-10742)
  * Fix debian/copyright format URL

 -- Xavier Guimard <yadd@debian.org>  Tue, 07 May 2019 22:59:58 +0200

node-axios (0.17.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #876067)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Oct 2018 20:18:38 +0530
